## gnome-online-accounts 3.52.0

=== debian/changelog ===
gnome-online-accounts (3.52.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Release to unstable

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Sep 2024 16:30:24 +0200

gnome-online-accounts (3.51.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 20 Aug 2024 15:07:01 -0400

gnome-online-accounts (3.51.1-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libadwaita and GTK4
  * Add Build-Depends: docbook-xsl & xsltproc to build manpages
  * Add Build-Depends: gi-docgen to build docs
  * Add Build-Depends: libkeyutils-dev
  * Add Provides: ${gir:Provides} to -dev package
  * debian/libgoa-backend-1.0-2.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 17:04:13 -0400

gnome-online-accounts (3.50.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 15:46:07 -0400

=== debian/control ===
Source: gnome-online-accounts
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               docbook-xsl,
               libadwaita-1-dev (>= 1.6~beta),
               libdbus-1-dev,
               libgcr-4-dev,
               libgirepository1.0-dev (>= 0.9.3),
               libglib2.0-dev (>= 2.67.4),
               libgtk-4-dev (>= 4.15.2),
               libjson-glib-dev,
               libkeyutils-dev (>= 1.6.2) [linux-any],
               libkrb5-dev,
               libmsgraph-dev,
               librest-dev (>= 0.9),
               libsecret-1-dev,
               libsoup-3.0-dev (>= 2.42),
               meson (>= 0.57.0),
               valac,
               xsltproc
Build-Depends-Indep: gi-docgen <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git
Homepage: https://wiki.gnome.org/Projects/GnomeOnlineAccounts

Package: gnome-online-accounts
Architecture: any
Depends: libgoa-1.0-0b (= ${binary:Version}),
         libgoa-backend-1.0-2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-control-center (>= 3.6.1) | gnome-online-accounts-gtk
Breaks: evolution-data-server (<< 3.22.3)
Description: service to manage online accounts for the GNOME desktop
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.

Package: libgoa-1.0-0b
Architecture: any
Section: libs
Depends: libgoa-1.0-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: bijiben (<< 40.1-4~),
        endeavour (<< 42.0-4~),
        geary (<< 40.0-5~)
Multi-Arch: same
Description: library for GNOME Online Accounts
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package contains the libraries used by GOA applications.

Package: libgoa-1.0-dev
Architecture: any
Section: libdevel
Depends: gir1.2-goa-1.0 (= ${binary:Version}),
         libgoa-1.0-0b (= ${binary:Version}),
         libglib2.0-dev (>= 2.67.4),
         ${misc:Depends}
Provides: ${gir:Provides}
Suggests: libgoa-1.0-doc
Multi-Arch: same
Description: library for GNOME Online Accounts - development files
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package contains the files needed to build applications that access
 the service.

Package: libgoa-backend-1.0-2
Architecture: any
Section: libs
Depends: libgoa-1.0-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: backend library for GNOME Online Accounts
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package contains the backend libraries used by GOA applications.

Package: libgoa-backend-1.0-dev
Architecture: any
Section: libdevel
Depends: gir1.2-goa-1.0 (= ${binary:Version}),
         libadwaita-1-dev (>= 1.6~beta),
         libgoa-1.0-dev (= ${binary:Version}),
         libgoa-backend-1.0-2 (= ${binary:Version}),
         libglib2.0-dev (>= 2.67.4),
         libgtk-4-dev (>= 4.15.2),
         ${misc:Depends}
Suggests: libgoa-1.0-doc
Multi-Arch: same
Description: backend library for GNOME Online Accounts - development files
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package contains the files needed to build applications that access
 the service.

Package: libgoa-1.0-common
Architecture: all
Section: libs
Depends: ${misc:Depends}
Breaks: libgoa-1.0-0 (<< 3.8.2)
Replaces: libgoa-1.0-0 (<< 3.8.2)
Multi-Arch: foreign
Description: library for GNOME Online Accounts - common files
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package contains the translation files for the GOA library and daemon.

Package: libgoa-1.0-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: libglib2.0-doc
Suggests: devhelp
Build-Profiles: <!nodoc>
Description: library for GNOME Online Accounts - documentation files
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package contains the HTML documentation for the GOA library.

Package: gir1.2-goa-1.0
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Introspection data for GNOME Online Accounts
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)

ifneq ($(filter %-doc,$(built_binaries)),)
BUILD_DOCS := -Ddocumentation=true
else
BUILD_DOCS := -Ddocumentation=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(BUILD_DOCS)

override_dh_gnome_clean:

## gnome-online-accounts 3.52.2

=== debian/changelog ===
gnome-online-accounts (3.52.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 10:54:29 -0500

## gnome-online-accounts 3.53.1

=== debian/changelog ===
gnome-online-accounts (3.53.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Feb 2025 09:22:43 -0500

gnome-online-accounts (3.53.0-1) unstable; urgency=medium

  * New upstream release
    - Support changing Account Name (which is shown in the
      file browser sidebar)
    - Lower authentication error timeout from 120 seconds to 30 seconds
  * debian/libgoa-backend-1.0-2.symbols: Add new symbol
  * Add Recommends: evolution-ews-core
    (except on Ubuntu since it's in universe currently) (Closes: #969955)
  * Run wrap-and-sort
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Jan 2025 09:19:07 -0500

## gnome-online-accounts 3.54.1

=== debian/changelog ===
gnome-online-accounts (3.54.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 14:13:55 -0400

gnome-online-accounts (3.53.2-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Mar 2025 13:10:41 -0500

## gnome-online-accounts 3.54.2

=== debian/changelog ===
gnome-online-accounts (3.54.2-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:15:14 +0200

gnome-online-accounts (3.54.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 08:28:58 -0400

## gnome-online-accounts 3.54.3

=== debian/changelog ===
gnome-online-accounts (3.54.3-2) experimental; urgency=medium

  * Disable Microsoft provider (Closes: #1100711)
    - It only handles email but Microsoft 365 handles email,
      calendar, contacts, and files
    - It was removed from GNOME 49

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 27 Jul 2025 10:20:27 +0200

gnome-online-accounts (3.54.3-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 14:56:37 -0400

## gnome-online-accounts 3.54.5

=== meson_options.txt ===
option('goabackend', type: 'boolean', value: true, description: 'Enable goabackend library')

option('exchange', type: 'boolean', value: true, description: 'Enable Microsoft Exchange provider')

option('fedora', type: 'boolean', value: false, description: 'Enable Fedora Account System provider')

option('google', type: 'boolean', value: true, description: 'Enable Google provider')
option('google_client_id', type: 'string', value: '44438659992-7kgjeitenc16ssihbtdjbgguch7ju55s.apps.googleusercontent.com', description: 'Google OAuth 2.0 client id')
option('google_client_secret', type: 'string', value: '-gMLuQyDiI0XrQS_vx_mhuYF', description: 'Google OAuth 2.0 client secret')

option('imap_smtp', type: 'boolean', value: true, description: 'Enable IMAP/SMTP provider')

option('kerberos', type: 'boolean', value: true, description: 'Enable kerberos provider')

option('owncloud', type: 'boolean', value: true, description: 'Enable ownCloud provider')

option('webdav', type: 'boolean', value: true, description: 'Enable WebDAV provider')

option('windows_live', type: 'boolean', value: true, description: 'Enable Windows Live provider')
option('windows_live_client_id', type: 'string', value: '8ef61e06-9fd5-49af-9b63-6983aede4213', description: 'Windows Live OAuth 2.0 client id')

option('ms_graph', type: 'boolean', value: true, description: 'Enable Microsoft 365 provider')
option('ms_graph_client_id', type: 'string', value: '8ef61e06-9fd5-49af-9b63-6983aede4213', description: 'Microsoft 365 client id')

option('gtk_doc', type: 'boolean', description: 'use gtk_doc to build documentation', deprecated: 'documentation')
option('documentation', type: 'boolean', value: true, description: 'Enable API documentation (depends on gi-docgen')
option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
option('man', type: 'boolean', value: true, description: 'enable man pages')
option('template_file', type: 'string', value: '', description: 'Path to the template file')
option('vapi', type: 'boolean', value: true, description: 'build Vala binding')

=== debian/changelog ===
gnome-online-accounts (3.54.5-1~deb13u1) trixie; urgency=medium

  * New upstream bugfix release with these fixes (Closes: #1111674):
    - Adding GOA account fails with sonic.net IMAP service
    - Cannot add a ProtonMail bridge with IMAP + TLS
    - Nextcloud login does not work anymore due to OPTIONS /login request
    - Linked online accounts no longer work
    - Invalid URI when adding Google account
    - goamsgraphprovider: ensure a valid PresentationIdentity
    - goadaemon: complete GTasks to avoid a scary debug warning
    - Fix Nextcloud and mailbox.org preconfiguration
    - Add DAV preconfig for mail.ru
    - Authentication failure in goa IMAP accounts
    - Handle unexpected casing in domain names
    - Various translations updates
  * debian/gbp.conf: branch for trixie

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Aug 2025 20:16:15 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,10 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>,
+           Marco Trevisan (Treviño) <marco@ubuntu.com>,
+           Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -36,7 +39,8 @@
          libgoa-backend-1.0-2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-control-center (>= 3.6.1) | gnome-online-accounts-gtk
+Recommends: gnome-control-center (>= 3.6.1) | gnome-online-accounts-gtk,
+            ${ews:Recommends}
 Breaks: evolution-data-server (<< 3.22.3)
 Description: service to manage online accounts for the GNOME desktop
  This package contains the GNOME Online Accounts service, which provides a
@@ -49,9 +53,7 @@
 Depends: libgoa-1.0-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: bijiben (<< 40.1-4~),
-        endeavour (<< 42.0-4~),
-        geary (<< 40.0-5~)
+Breaks: bijiben (<< 40.1-4~), endeavour (<< 42.0-4~), geary (<< 40.0-5~)
 Multi-Arch: same
 Description: library for GNOME Online Accounts
  This package contains the GNOME Online Accounts service, which provides a
@@ -64,8 +66,8 @@
 Architecture: any
 Section: libdevel
 Depends: gir1.2-goa-1.0 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.67.4),
          libgoa-1.0-0b (= ${binary:Version}),
-         libglib2.0-dev (>= 2.67.4),
          ${misc:Depends}
 Provides: ${gir:Provides}
 Suggests: libgoa-1.0-doc
@@ -97,9 +99,9 @@
 Section: libdevel
 Depends: gir1.2-goa-1.0 (= ${binary:Version}),
          libadwaita-1-dev (>= 1.6~beta),
+         libglib2.0-dev (>= 2.67.4),
          libgoa-1.0-dev (= ${binary:Version}),
          libgoa-backend-1.0-2 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.67.4),
          libgtk-4-dev (>= 4.15.2),
          ${misc:Depends}
 Suggests: libgoa-1.0-doc
@@ -144,9 +146,7 @@
 Package: gir1.2-goa-1.0
 Architecture: any
 Section: introspection
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Introspection data for GNOME Online Accounts
  This package contains the GNOME Online Accounts service, which provides a

## gnome-online-accounts 3.55.2

=== debian/changelog ===
gnome-online-accounts (3.55.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * libgoa-1.0-common.install: the gsettings schema is no longer provided
  * debian/libgoa-backend-1.0-2.symbols: Update

  [ Simon McVittie ]
  * d/control: Add missing B-D on gir1.2-gio-2.0-dev, as reported by
    dh_girepository
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/libgoa-1.0-0b.lintian-overrides: Acknowledge non-standard package
    name
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 20:59:22 -0400

gnome-online-accounts (3.54.5-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Aug 2025 14:33:53 -0400

gnome-online-accounts (3.54.3-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 27 Jul 2025 10:32:36 +0200

## gnome-online-accounts 3.56.0

=== debian/changelog ===
gnome-online-accounts (3.56.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 14:45:01 -0400

## gnome-online-accounts 3.56.1

=== meson_options.txt ===
--- 
+++ 
@@ -16,9 +16,6 @@
 
 option('webdav', type: 'boolean', value: true, description: 'Enable WebDAV provider')
 
-option('windows_live', type: 'boolean', value: true, description: 'Enable Windows Live provider')
-option('windows_live_client_id', type: 'string', value: '8ef61e06-9fd5-49af-9b63-6983aede4213', description: 'Windows Live OAuth 2.0 client id')
-
 option('ms_graph', type: 'boolean', value: true, description: 'Enable Microsoft 365 provider')
 option('ms_graph_client_id', type: 'string', value: '8ef61e06-9fd5-49af-9b63-6983aede4213', description: 'Microsoft 365 client id')

=== debian/changelog ===
gnome-online-accounts (3.56.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libgoa-backend-1.0-2.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 19:13:37 -0400

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                docbook-xsl,
+               gir1.2-gio-2.0-dev,
+               gobject-introspection (>= 1.80),
                libadwaita-1-dev (>= 1.6~beta),
                libdbus-1-dev,
                libgcr-4-dev,
-               libgirepository1.0-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.67.4),
                libgtk-4-dev (>= 4.15.2),
                libjson-glib-dev,
@@ -27,8 +28,7 @@
                valac,
                xsltproc
 Build-Depends-Indep: gi-docgen <!nodoc>
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git
 Homepage: https://wiki.gnome.org/Projects/GnomeOnlineAccounts

=== debian/rules ===
--- 
+++ 
@@ -20,3 +20,12 @@
 		$(BUILD_DOCS)
 
 override_dh_gnome_clean:
+
+# evolution-ews is in Ubuntu "universe"
+override_dh_gencontrol:
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+	dh_gencontrol
+else
+	dh_gencontrol -- \
+		-Vews:Recommends='evolution-ews-core'
+endif

=== debian/tests/control ===
Tests: libgoa-1.0-dev
Depends: build-essential, libgoa-1.0-dev
Restrictions: allow-stderr superficial

Tests: libgoa-backend-1.0-dev
Depends: build-essential,
         dbus,
         gnome-online-accounts,
         libgoa-backend-1.0-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial

Test-Command: dbus-run-session -- xvfb-run -a ./debian/tests/introspection.py
Depends: dbus, gir1.2-goa-1.0, gnome-online-accounts, python3-gi, xauth, xvfb
Features: test-name=gir1.2-goa-1.0
Restrictions: allow-stderr superficial

## gnome-online-accounts 3.56.2

=== debian/changelog ===
gnome-online-accounts (3.56.2-6) unstable; urgency=medium

  * Remove Build-Depends: libmsgraph-dev (Closes: #1099993)
  * Re-enable kerberos feature on hurd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Dec 2025 08:40:38 -0500

gnome-online-accounts (3.56.2-5) unstable; urgency=medium

  * Temporarily disable msgraph for bootstrapping all architectures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Dec 2025 23:04:02 -0500

gnome-online-accounts (3.56.2-4) unstable; urgency=medium

  * Disable msgraph feature for the nogtk4 build profile (Closes: #1099993)
  * Disable msgraph dependency to bootstrap sh4
  * Don't build the kerberos feature on x32 since keyutils isn't built there
  * autopkgtest: remove gnome-online-accounts dependency from gir test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Dec 2025 22:58:08 -0500

gnome-online-accounts (3.56.2-3) unstable; urgency=medium

  * Add patch to not require goabackend to build documentation
  * Salsa CI: test the nogtk4 build profile

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Dec 2025 22:14:35 -0500

gnome-online-accounts (3.56.2-2) unstable; urgency=medium

  * Add patch to only install icons for the goabackend build
  * Don't build goabackend on architectures that don't have gtk4
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Dec 2025 19:15:06 -0500

gnome-online-accounts (3.56.2-1) unstable; urgency=medium

  * New upstream release
  * Remove Suggests: devhelp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Nov 2025 12:13:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gnome-online-accounts
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
@@ -9,18 +8,18 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
+               dh-exec,
                docbook-xsl,
                gir1.2-gio-2.0-dev,
                gobject-introspection (>= 1.80),
-               libadwaita-1-dev (>= 1.6~beta),
+               libadwaita-1-dev (>= 1.6~beta) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hurd-amd64 hurd-i386 powerpc ppc64 sparc64] <!pkg.gnome-online-accounts.nogtk4>,
                libdbus-1-dev,
                libgcr-4-dev,
                libglib2.0-dev (>= 2.67.4),
-               libgtk-4-dev (>= 4.15.2),
+               libgtk-4-dev (>= 4.15.2) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hurd-amd64 hurd-i386 powerpc ppc64 sparc64] <!pkg.gnome-online-accounts.nogtk4>,
                libjson-glib-dev,
-               libkeyutils-dev (>= 1.6.2) [linux-any],
+               libkeyutils-dev (>= 1.6.2) [!hurd-any !x32],
                libkrb5-dev,
-               libmsgraph-dev,
                librest-dev (>= 0.9),
                libsecret-1-dev,
                libsoup-3.0-dev (>= 2.42),
@@ -34,7 +33,8 @@
 Homepage: https://wiki.gnome.org/Projects/GnomeOnlineAccounts
 
 Package: gnome-online-accounts
-Architecture: any
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hurd-amd64 hurd-i386 powerpc ppc64 sparc64
+Build-Profiles: <!pkg.gnome-online-accounts.nogtk4>
 Depends: libgoa-1.0-0b (= ${binary:Version}),
          libgoa-backend-1.0-2 (= ${binary:Version}),
          ${misc:Depends},
@@ -65,9 +65,9 @@
 Package: libgoa-1.0-dev
 Architecture: any
 Section: libdevel
-Depends: gir1.2-goa-1.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.67.4),
+Depends: libglib2.0-dev (>= 2.67.4),
          libgoa-1.0-0b (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}
 Suggests: libgoa-1.0-doc
@@ -81,7 +81,8 @@
  the service.
 
 Package: libgoa-backend-1.0-2
-Architecture: any
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hurd-amd64 hurd-i386 powerpc ppc64 sparc64
+Build-Profiles: <!pkg.gnome-online-accounts.nogtk4>
 Section: libs
 Depends: libgoa-1.0-common (>= ${source:Version}),
          ${misc:Depends},
@@ -95,10 +96,10 @@
  This package contains the backend libraries used by GOA applications.
 
 Package: libgoa-backend-1.0-dev
-Architecture: any
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hurd-amd64 hurd-i386 powerpc ppc64 sparc64
+Build-Profiles: <!pkg.gnome-online-accounts.nogtk4>
 Section: libdevel
-Depends: gir1.2-goa-1.0 (= ${binary:Version}),
-         libadwaita-1-dev (>= 1.6~beta),
+Depends: libadwaita-1-dev (>= 1.6~beta),
          libglib2.0-dev (>= 2.67.4),
          libgoa-1.0-dev (= ${binary:Version}),
          libgoa-backend-1.0-2 (= ${binary:Version}),
@@ -134,7 +135,6 @@
 Section: doc
 Depends: ${misc:Depends}
 Recommends: libglib2.0-doc
-Suggests: devhelp
 Build-Profiles: <!nodoc>
 Description: library for GNOME Online Accounts - documentation files
  This package contains the GNOME Online Accounts service, which provides a
@@ -146,7 +146,7 @@
 Package: gir1.2-goa-1.0
 Architecture: any
 Section: introspection
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: Introspection data for GNOME Online Accounts
  This package contains the GNOME Online Accounts service, which provides a

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

ifeq ($(filter gnome-online-accounts,$(shell dh_listpackages)),)
  GTK4 = -Dgoabackend=false
endif

ifneq (,$(filter $(DEB_HOST_ARCH), x32))
  KERBEROS += -Dkerberos=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocumentation=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
		$(GTK4) \
		$(KERBEROS)

# evolution-ews is in Ubuntu "universe"
override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol
else
	dh_gencontrol -- \
		-Vews:Recommends='evolution-ews-core'
endif

=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,6 @@
 Restrictions: allow-stderr superficial
 
 Test-Command: dbus-run-session -- xvfb-run -a ./debian/tests/introspection.py
-Depends: dbus, gir1.2-goa-1.0, gnome-online-accounts, python3-gi, xauth, xvfb
+Depends: dbus, gir1.2-goa-1.0, python3-gi, xauth, xvfb
 Features: test-name=gir1.2-goa-1.0
 Restrictions: allow-stderr superficial

## gnome-online-accounts 3.57.0

=== debian/changelog ===
gnome-online-accounts (3.57.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib
  * Remove all patches: applied in new release
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Jan 2026 16:15:55 -0500

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
                dh-exec,
                docbook-xsl,
                gir1.2-gio-2.0-dev,
-               gobject-introspection (>= 1.80),
                libadwaita-1-dev (>= 1.6~beta) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hurd-amd64 hurd-i386 powerpc ppc64 sparc64] <!pkg.gnome-online-accounts.nogtk4>,
                libdbus-1-dev,
                libgcr-4-dev,
-               libglib2.0-dev (>= 2.67.4),
+               libglib2.0-dev (>= 2.84.0),
                libgtk-4-dev (>= 4.15.2) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hurd-amd64 hurd-i386 powerpc ppc64 sparc64] <!pkg.gnome-online-accounts.nogtk4>,
                libjson-glib-dev,
                libkeyutils-dev (>= 1.6.2) [!hurd-any !x32],
@@ -27,7 +26,7 @@
                valac,
                xsltproc
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git
 Homepage: https://wiki.gnome.org/Projects/GnomeOnlineAccounts
@@ -65,7 +64,7 @@
 Package: libgoa-1.0-dev
 Architecture: any
 Section: libdevel
-Depends: libglib2.0-dev (>= 2.67.4),
+Depends: libglib2.0-dev (>= 2.84.0),
          libgoa-1.0-0b (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
@@ -100,7 +99,7 @@
 Build-Profiles: <!pkg.gnome-online-accounts.nogtk4>
 Section: libdevel
 Depends: libadwaita-1-dev (>= 1.6~beta),
-         libglib2.0-dev (>= 2.67.4),
+         libglib2.0-dev (>= 2.84.0),
          libgoa-1.0-dev (= ${binary:Version}),
          libgoa-backend-1.0-2 (= ${binary:Version}),
          libgtk-4-dev (>= 4.15.2),

=== debian/rules ===
--- 
+++ 
@@ -29,3 +29,6 @@
 	dh_gencontrol -- \
 		-Vews:Recommends='evolution-ews-core'
 endif
+
+# We only use dh_gnome to automatically run dh_translations in Ubuntu
+override_dh_gnome:

## gnome-online-accounts 3.57.1

=== meson_options.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 option('webdav', type: 'boolean', value: true, description: 'Enable WebDAV provider')
 
 option('ms_graph', type: 'boolean', value: true, description: 'Enable Microsoft 365 provider')
-option('ms_graph_client_id', type: 'string', value: '8ef61e06-9fd5-49af-9b63-6983aede4213', description: 'Microsoft 365 client id')
+option('ms_graph_client_id', type: 'string', value: 'b155a604-3c31-4079-93b0-6bb6aa9d5464', description: 'Microsoft 365 client id')
 
 option('gtk_doc', type: 'boolean', description: 'use gtk_doc to build documentation', deprecated: 'documentation')
 option('documentation', type: 'boolean', value: true, description: 'Enable API documentation (depends on gi-docgen')

=== debian/changelog ===
gnome-online-accounts (3.57.1-1) unstable; urgency=high

  * New upstream release
  * debian/gnome-online-accounts.install:
    Install additional .desktop for notification management

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 28 Feb 2026 13:22:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: gnome-online-accounts
-Section: gnome
+Standards-Version: 4.7.3
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>,
            Tim Lunn <tim@feathertop.org>
+Section: gnome
 Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                dh-sequence-gir,
                dh-sequence-gnome,
-               dh-exec,
                docbook-xsl,
                gir1.2-gio-2.0-dev,
                libadwaita-1-dev (>= 1.6~beta) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hurd-amd64 hurd-i386 powerpc ppc64 sparc64] <!pkg.gnome-online-accounts.nogtk4>,
@@ -17,16 +18,15 @@
                libglib2.0-dev (>= 2.84.0),
                libgtk-4-dev (>= 4.15.2) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hurd-amd64 hurd-i386 powerpc ppc64 sparc64] <!pkg.gnome-online-accounts.nogtk4>,
                libjson-glib-dev,
-               libkeyutils-dev (>= 1.6.2) [!hurd-any !x32],
+               libkeyutils-dev,
                libkrb5-dev,
-               librest-dev (>= 0.9),
+               librest-dev,
                libsecret-1-dev,
-               libsoup-3.0-dev (>= 2.42),
-               meson (>= 0.57.0),
+               libsoup-3.0-dev,
+               meson,
                valac,
                xsltproc
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git
 Homepage: https://wiki.gnome.org/Projects/GnomeOnlineAccounts
@@ -38,9 +38,8 @@
          libgoa-backend-1.0-2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-control-center (>= 3.6.1) | gnome-online-accounts-gtk,
+Recommends: gnome-control-center | gnome-online-accounts-gtk,
             ${ews:Recommends}
-Breaks: evolution-data-server (<< 3.22.3)
 Description: service to manage online accounts for the GNOME desktop
  This package contains the GNOME Online Accounts service, which provides a
  centralized place for managing online accounts (Google, etc) for the
@@ -48,12 +47,11 @@
 
 Package: libgoa-1.0-0b
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: libgoa-1.0-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: bijiben (<< 40.1-4~), endeavour (<< 42.0-4~), geary (<< 40.0-5~)
-Multi-Arch: same
 Description: library for GNOME Online Accounts
  This package contains the GNOME Online Accounts service, which provides a
  centralized place for managing online accounts (Google, etc) for the
@@ -63,14 +61,14 @@
 
 Package: libgoa-1.0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libglib2.0-dev (>= 2.84.0),
          libgoa-1.0-0b (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
+Suggests: libgoa-1.0-doc
 Provides: ${gir:Provides}
-Suggests: libgoa-1.0-doc
-Multi-Arch: same
 Description: library for GNOME Online Accounts - development files
  This package contains the GNOME Online Accounts service, which provides a
  centralized place for managing online accounts (Google, etc) for the
@@ -82,11 +80,11 @@
 Package: libgoa-backend-1.0-2
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hurd-amd64 hurd-i386 powerpc ppc64 sparc64
 Build-Profiles: <!pkg.gnome-online-accounts.nogtk4>
+Multi-Arch: same
 Section: libs
 Depends: libgoa-1.0-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Multi-Arch: same
 Description: backend library for GNOME Online Accounts
  This package contains the GNOME Online Accounts service, which provides a
  centralized place for managing online accounts (Google, etc) for the
@@ -97,6 +95,7 @@
 Package: libgoa-backend-1.0-dev
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hurd-amd64 hurd-i386 powerpc ppc64 sparc64
 Build-Profiles: <!pkg.gnome-online-accounts.nogtk4>
+Multi-Arch: same
 Section: libdevel
 Depends: libadwaita-1-dev (>= 1.6~beta),
          libglib2.0-dev (>= 2.84.0),
@@ -105,7 +104,6 @@
          libgtk-4-dev (>= 4.15.2),
          ${misc:Depends}
 Suggests: libgoa-1.0-doc
-Multi-Arch: same
 Description: backend library for GNOME Online Accounts - development files
  This package contains the GNOME Online Accounts service, which provides a
  centralized place for managing online accounts (Google, etc) for the
@@ -116,11 +114,11 @@
 
 Package: libgoa-1.0-common
 Architecture: all
+Multi-Arch: foreign
 Section: libs
 Depends: ${misc:Depends}
 Breaks: libgoa-1.0-0 (<< 3.8.2)
 Replaces: libgoa-1.0-0 (<< 3.8.2)
-Multi-Arch: foreign
 Description: library for GNOME Online Accounts - common files
  This package contains the GNOME Online Accounts service, which provides a
  centralized place for managing online accounts (Google, etc) for the
@@ -130,11 +128,11 @@
 
 Package: libgoa-1.0-doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Recommends: libglib2.0-doc
-Build-Profiles: <!nodoc>
 Description: library for GNOME Online Accounts - documentation files
  This package contains the GNOME Online Accounts service, which provides a
  centralized place for managing online accounts (Google, etc) for the
@@ -144,9 +142,10 @@
 
 Package: gir1.2-goa-1.0
 Architecture: any
+Multi-Arch: same
 Section: introspection
-Depends: ${gir:Depends}, ${misc:Depends}
-Multi-Arch: same
+Depends: ${gir:Depends},
+         ${misc:Depends}
 Description: Introspection data for GNOME Online Accounts
  This package contains the GNOME Online Accounts service, which provides a
  centralized place for managing online accounts (Google, etc) for the

=== debian/tests/control ===
Tests: libgoa-1.0-dev
Depends: build-essential,
         libgoa-1.0-dev
Restrictions: allow-stderr,
              superficial

Tests: libgoa-backend-1.0-dev
Depends: build-essential,
         dbus,
         gnome-online-accounts,
         libgoa-backend-1.0-dev,
         xauth,
         xvfb
Restrictions: allow-stderr,
              superficial

Test-Command: dbus-run-session -- xvfb-run -a ./debian/tests/introspection.py
Depends: dbus,
         gir1.2-goa-1.0,
         python3-gi,
         xauth,
         xvfb
Features: test-name=gir1.2-goa-1.0
Restrictions: allow-stderr,
              superficial
